[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControl.ScaleConstraints

Scales the minimum and maximum Width and Height.

## Declaration

Source position: controls.pp line 1388

`protected procedure TControl.ScaleConstraints(`
`Multiplier: Integer;`
`Divider: Integer`
`);`

## Arguments

`Multiplier` |  | Multiplier used to derive the scaling factor for the control constraints.
`Divider` |  | Divisor used to derive the scaling factor for the control constraints.

## Description

ScaleConstraints is called from the ChangeScale method; never call it directly. Multiplier and Divider contain the values passed as arguments to the ChangeScale method.

## See also

TControl.ChangeScale |  | Applies scaling (multiplier and divider) to the bounds coordinates, constraints, and Font in a control.
TWinControl.ScaleBy |  | Scales (resizes) the control and all of its child controls.